net.sf.jasperreports.components.headertoolbar.actions

## Class FilterAction

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction
  - - net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction
    - - net.sf.jasperreports.components.headertoolbar.actions.FilterAction

- All Implemented Interfaces:
    Action

      public class FilterAction
      extends AbstractVerifiableTableAction

  Version:
    $Id: FilterAction.java 6281 2013-06-18 11:11:41Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `AbstractAction.ActionErrors`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction

      `columnData, formatFactory, table, targetUri`

    - ### Fields inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `ERR_CONCAT_STRING, errors, PARAM_COMMAND_STACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilterData` | `getFilterData()`
    `void` | `performAction()`
    `void` | `setFilterData(FilterData filterData)`
    `void` | `verify()`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction

      `getMessagesBundle, getTable, prepare, run`

    - ### Methods inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `createNumberFormat, getCommandStack, getCommandTarget, getCommandTarget, getJasperReportsContext, getReportContext, init, requiresRefill, setCommandStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterAction

          public FilterAction()

  - ### Method Detail

    - #### getFilterData

          public FilterData getFilterData()

    - #### setFilterData

          public void setFilterData(FilterData filterData)

    - #### performAction

          public void performAction()
                             throws ActionException

      Specified by:
        `performAction` in class `AbstractAction`
      Throws:
        `ActionException`

    - #### verify

          public void verify()
                      throws ActionException

      Specified by:
        `verify` in class `AbstractVerifiableTableAction`
      Throws:
        `ActionException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com